summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-08-08 18:00:12 -0700
committerZac Medico <zmedico@gentoo.org>2018-08-08 18:01:25 -0700
commit81866a674b5577540dcf8ac4e55f9d442cc7f9d5 (patch)
treeeb4b8f29d39df2752fb011eef3f8419580e25595 /dev-python/python-backoff
parentkernel-2.eclass: add sys-devel/bison and sys-devel/flex to RDEPEND (diff)
downloadgentoo-81866a674b5577540dcf8ac4e55f9d442cc7f9d5.tar.gz
gentoo-81866a674b5577540dcf8ac4e55f9d442cc7f9d5.tar.bz2
gentoo-81866a674b5577540dcf8ac4e55f9d442cc7f9d5.zip
dev-python/python-backoff: new package
Package-Manager: Portage-2.3.45, Repoman-2.3.10
Diffstat (limited to 'dev-python/python-backoff')
-rw-r--r--dev-python/python-backoff/Manifest1
-rw-r--r--dev-python/python-backoff/metadata.xml11
-rw-r--r--dev-python/python-backoff/python-backoff-1.6.0.ebuild25
3 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/python-backoff/Manifest b/dev-python/python-backoff/Manifest
new file mode 100644
index 00000000000..92a79bc75d2
--- /dev/null
+++ b/dev-python/python-backoff/Manifest
@@ -0,0 +1 @@
+DIST backoff-1.6.0.tar.gz 10474 BLAKE2B 64e4b4a9cb8a1ac5a888aae78f50111400bb57f46bb0c123ecfeb4d660393a9786945d83b838599479e70244f2aa9b667428be2f0d57958b084ed8a045d0ea7d SHA512 a9bb5477d8a84397df61bd3904ad0914c5b214e46da9b55a2286ca8a81508184483e99a6703551dfcd1147e3e656396171ab7133f9e0cf2bff1bc17e6da49444
diff --git a/dev-python/python-backoff/metadata.xml b/dev-python/python-backoff/metadata.xml
new file mode 100644
index 00000000000..d05b80a0f2d
--- /dev/null
+++ b/dev-python/python-backoff/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">litl/backoff</remote-id>
+ <remote-id type="pypi">backoff</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-backoff/python-backoff-1.6.0.ebuild b/dev-python/python-backoff/python-backoff-1.6.0.ebuild
new file mode 100644
index 00000000000..74d97cd9e39
--- /dev/null
+++ b/dev-python/python-backoff/python-backoff-1.6.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN#python-}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Function decoration for backoff and retry"
+HOMEPAGE="https://github.com/litl/backoff https://pypi.org/project/backoff/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+S=${WORKDIR}/${MY_P}
+
+DOCS=( README.rst )
+
+python_test() {
+ emake test || die "tests failed under ${EPYTHON}"
+}